Bug 254227 - log "/etc/init.d/autofs reload" invocations to the system log
Summary: log "/etc/init.d/autofs reload" invocations to the system log
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: autofs   
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Ian Kent
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 425905
TreeView+ depends on / blocked
 
Reported: 2007-08-24 20:49 UTC by Jeff Moyer
Modified: 2008-05-21 14:37 UTC (History)
2 users (show)

Fixed In Version: RHBA-2008-0354
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 14:37:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add logging of map reloads (729 bytes, patch)
2007-10-24 06:34 UTC, Ian Kent
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0354 normal SHIPPED_LIVE autofs bug fix and enhancement update 2008-05-20 12:52:25 UTC

Description Jeff Moyer 2007-08-24 20:49:47 UTC
+++ This bug was initially created as a clone of Bug #221400 +++

Description of problem:
Initial request taken from an email from Wengang Wang:

Some users like to see information in syslog when autofs reloads.
Till RedHat 4 update 4 with autofs version being 4.1.3-187, there are 
logging action for "start", "stop" and "restart", Can we add logging 
feature for "reload" too in new update versions?

-- Additional comment from jmoyer@redhat.com on 2007-01-10 13:28 EST --
This should be easy to implement and test, and is a reasonable request.

-- Additional comment from jmoyer@redhat.com on 2007-01-16 19:53 EST --
Created an attachment (id=145762)
Log autofs reload attempts

This patch is included in autofs versions 4.1.3-103 and later, and is likely
destined for RHEL 4.6.
-- Additional comment from jmoyer@redhat.com on 2007-07-12 18:39 EST --
Created an attachment (id=159107)
Updated patch

To be clear: autofs only ever logs messsages on startup and shutdown when
debugging is enabled.  This patch follows suit, only logging map re-read
information when the debug flag is specified.

Comment 1 RHEL Product and Program Management 2007-10-16 03:43:57 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 2 Ian Kent 2007-10-24 06:34:29 UTC
Created attachment 236011 [details]
Patch to add logging of map reloads

Comment 8 errata-xmlrpc 2008-05-21 14:37:44 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0354.html



Note You need to log in before you can comment on or make changes to this bug.